- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QWSEmbedWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qwsembedwidget.h.

`#include <qwsembedwidget.h>`

Inheritance diagram for QWSEmbedWidget:
[legend]

List of all members.

## Public Member Functions
| QWSEmbedWidget (WId winId, QWidget *parent=0)
| ~QWSEmbedWidget ()
## Protected Member Functions
bool | eventFilter (QObject *object, QEvent *event)
void | changeEvent (QEvent *event)
void | resizeEvent (QResizeEvent *event)
void | moveEvent (QMoveEvent *event)
void | hideEvent (QHideEvent *event)
void | showEvent (QShowEvent *event)

## Constructor & Destructor Documentation

QWSEmbedWidget | ( | WId | winId,
|  | QWidget * | parent = `0`
| ) |  |

~QWSEmbedWidget | ( |  | ) |

## Member Function Documentation

bool eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void moveEvent | ( | QMoveEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void showEvent | ( | QShowEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

The documentation for this class was generated from the following file:

- QtGui/qwsembedwidget.h

QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget
QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget QWSEmbedWidget